package com.ejie.y41e.model;


import java.util.ArrayList;
import java.util.List;

/**
 * Y41eBloque
 *  
 */

public class Y41eBloque extends Y41eDetalle implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    private Long idBloque;
    private String obligatorio;
    private List<Y41ePregunta> listaPreguntas = new ArrayList<Y41ePregunta>();
    private Long numPreguntas;
    private Long idEncuesta;
    private Boolean selectedAll;
    private List<String> selectedIds;
    private String isEnlazada;
    private Long idPreguntaPadre;

    /** 
     * Method 'Y41eBloque'.
     */
    public Y41eBloque() {
        //constructor
    }


    /** 
     * Method 'Y41eBloque'.
     * @param idBloque Long
     */    
    public Y41eBloque(Long idBloque) {
        this.idBloque = idBloque;
    }

    /** 
     * Method 'Y41eBloque'.
     * @param idBloque Long
     * @param descPublEs String
     * @param descPublEu String
     */    
    public Y41eBloque(Long idBloque, String descPublEs, String descPublEu) {
        super(descPublEs, descPublEu, null, null);
        this.idBloque = idBloque;
    }

    /**
     * Method 'getIdBloque'.
     *
     * @return Long
     */


    public Long getIdBloque() {
        return this.idBloque;
    }

    /**
     * Method 'setIdBloque'.
     *
     * @param idBloque Long
     * @return
     */

    public void setIdBloque(Long idBloque) {
        this.idBloque = idBloque;
    }


    /**
     * Method 'getObligatorio'.
     *
     * @return String
     */
    public String getObligatorio() {
        return this.obligatorio;
    }

    /**
     * Method 'setObligatorio'.
     *
     * @param obligatorio String
     * @return
     */

    public void setObligatorio(String obligatorio) {
        this.obligatorio = obligatorio;
    }

    /**
     * @return the numPreguntas
     */
    public Long getNumPreguntas() {
        return numPreguntas;
    }

    /**
     * @param numPreguntas the numPreguntas to set
     */
    public void setNumPreguntas(Long numPreguntas) {
        this.numPreguntas = numPreguntas;
    }

    /**
     * @return the selectedAll
     */
    public Boolean getSelectedAll() {
        return selectedAll;
    }

    /**
     * @param selectedAll the selectedAll to set
     */
    public void setSelectedAll(Boolean selectedAll) {
        this.selectedAll = selectedAll;
    }


    /**
     * @return the selectedIds
     */
    public List<String> getSelectedIds() {
        return selectedIds;
    }


    /**
     * @param selectedIds the selectedIds to set
     */
    public void setSelectedIds(List<String> selectedIds) {
        this.selectedIds = selectedIds;
    }


    /**
     * @return the idEncuesta
     */
    public Long getIdEncuesta() {
        return idEncuesta;
    }

    /**
     * @param idEncuesta the idEncuesta to set
     */
    public void setIdEncuesta(Long idEncuesta) {
        this.idEncuesta = idEncuesta;
    }

    /**
     * @return the listaPreguntas
     */
    public List<Y41ePregunta> getListaPreguntas() {
        return listaPreguntas;
    }

    /**
     * @param listaPreguntas the listaPreguntas to set
     */
    public void setListaPreguntas(List<Y41ePregunta> listaPreguntas) {
        this.listaPreguntas = listaPreguntas;
    }


    /**
     * @return the isEnlazada
     */
    public String getIsEnlazada() {
        return isEnlazada;
    }


    /**
     * @param isEnlazada the isEnlazada to set
     */
    public void setIsEnlazada(String isEnlazada) {
        this.isEnlazada = isEnlazada;
    }


    /**
     * @return the idPreguntaPadre
     */
    public Long getIdPreguntaPadre() {
        return idPreguntaPadre;
    }


    /**
     * @param idPreguntaPadre the idPreguntaPadre to set
     */
    public void setIdPreguntaPadre(Long idPreguntaPadre) {
        this.idPreguntaPadre = idPreguntaPadre;
    }

}

